Skip to main content
POST
/
api
/
resolve
/
v1
/
by-id
BatchResolveIdentifiers
curl --request POST \
  --url https://developer.synq.io/api/resolve/v1/by-id \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ids": [
    {
      "airflowDag": {
        "integrationId": "<string>",
        "dagId": "<string>"
      }
    }
  ],
  "checkExistence": true
}
'
{
  "resolvedIdentifiers": [
    {
      "id": {
        "airflowDag": {
          "integrationId": "<string>",
          "dagId": "<string>"
        }
      },
      "synqPath": "<string>",
      "identities": [
        {
          "airflowDag": {
            "integrationId": "<string>",
            "dagId": "<string>"
          }
        }
      ],
      "identitySynqPaths": [
        "<string>"
      ],
      "exists": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
ids
(airflow_dag · object | airflow_task · object | bigquery_table · object | clickhouse_table · object | custom · object | databricks_table · object | dataproduct · object | dbt_cloud_node · object | dbt_core_node · object | monitor · object | mysql_table · object | postgres_table · object | redshift_table · object | snowflake_table · object | sql_mesh_audit · object | sql_mesh_model · object | synq_path · object | trino_table · object)[]

Identifiers to resolve.

Identifier is a unique reference to an entity in SYNQ system. Entity identifiers are designed to closely mimic identifiers used by data platforms and tools. To construct an identifier, you need to know the kind of the entity and the ids that you would normally use to identify it in the data platform or tool. For example, to identify a table in BigQuery, you would need to know the project, dataset, and table names.

checkExistence
boolean

When true, also verify that the resolved entities actually exist in the system.

Response

200 - application/json

Success

resolvedIdentifiers
ResolvedIdentifier · object[]